[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Pin package to "any version, don't remove"?



-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 07/20/2014 01:37 AM, Marko Randjelovic wrote:

> On Sat, 19 Jul 2014 21:58:13 -0400 The Wanderer
> <wanderer@fastmail.fm> wrote:
> 
>> when an X not compatible with the newest available fglrx-driver is
>> available, 'apt-get dist-upgrade' still tries to remove
>> fglrx-driver.
> 
> Then why don't you pin X?

Pin it to its current version, you mean?

Because once a newer fglrx-driver which would be compatible with the
newer X becomes available, I want apt to notice that and upgrade both of
them the next time I run an upgrade, rather than staying on the older
version until I notice that the newer fglrx-driver is available and
manually remove the pin/hold.

If that's not what you meant, then I'm not sure what you did mean.

- --
   The Wanderer

Secrecy is the beginning of tyranny.

A government exists to serve its citizens, not to control them.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCgAGBQJTy6/1AAoJEASpNY00KDJr7doP/2ewDtyndd2ql50O7szXqmr2
pezvRZYTd1E8KxLW8Stfr0jfLM4MN/Z73W6kb6eqGG6M1NO6crebT1xfjV9HVsVp
Xhf7BqJzylGdsQZBFU8VQVJban91lJNc+2M66ztpXRdA1xr2gLxzlsZXA3mWfW4X
GvJSyGssOC4wkpuXKSsoZPy4EAyzSO+aPguESVkc7qhuF4uGR3yNjc8F8DYgXyUH
q5SQ6b/8seDyScI5FcKAub4uAggdN5q2zFWWWU6Rt5WrOLA05LKy5xdVR4gdcCsa
SsWcRIV2bifkcGU3VUK0u/ApZdYPSFVJ1Oynz6rqoPbrU4QjXphZLnXXx0rD00kH
CZc7fBb1HxLDWtsJI38SqMZ3Z5flGUzPEaWVJIbgU1qiT68r/biZavVmD3c/axlw
5q4VBKcbfKmmre3edw6qkweyb0/nFOQ/taDCrW6zzugeWBVoz6zGL+ApjEMGua2B
K2TVAnmvoDfyjRnF8EdX/Pl6AwbgCFQ6e2I4MNC9qzkMi9TuTH55+yej+SKYoJ0z
OCnoJ/2ATMeYULHxXmzHxFxHRmS8hqXn2fQ2C1HwGyfYbPAqeTsjPK31mK82udot
3+eb1foItIqWc4PKYa97gbRIc7Xd53VVpwR7fnaRjcJ484gY1RW1Ampytygb6+8Z
0jTFgPmbaGnz9raNL00M
=CFiG
-----END PGP SIGNATURE-----


Reply to: